Re: Upgrade to Server Automation 9.0 to 9.10 fails (293 Views)
Reply
Frequent Advisor
cybercoaster
Posts: 89
Registered: ‎05-11-2005
Message 1 of 2 (534 Views)

Upgrade to Server Automation 9.0 to 9.10 fails

[ Edited ]

I am attempting to upgrade from Server Automation 9.0 to 9.10. Performing the steps in the Upgrade Guide on page 33, uninstall_patch.sh, results in this error at the end. How do I get past this error to remove the patches for the upgrade? I only have this one SA server in a pretty new environment.

 

Verifying "localhost" is listening on port 8020: SUCCESS
>>> Verify agentcache dependencies...
>>> Starting agentcache ...
[13/Oct/2011 11:52:26] Initializing AdhHttpd on port (8081)...
[13/Oct/2011 11:52:26] Socket Error: '(98, 'Address already in use')'
[13/Oct/2011 11:52:26] AgentCache (pid 1835): Shutting down (could not start HTTP server)...
opsware-sas: "agentcache" failed to startsync
Failed to perform "startsync" operation on Opsware SAS components.
[Oct-13-2011 11:52:26] Component installation script encountered an error (exit status 1)
[Oct-13-2011 11:52:26] Exiting Opsware Installer.

I did run the upgrade_opsware.sh and it did still show patches installed.

 

 

P.S. This thread has been moved from Data Center Automation Support and News to Server Automation Support and News Forum - HP Forums Moderator

 

Please use plain text.
Advisor
FrankS
Posts: 24
Registered: ‎02-18-2011
Message 2 of 2 (293 Views)

Re: Upgrade to Server Automation 9.0 to 9.10 fails

Hi

 

the log show the port is already in use which cause the script to failed.

 

[13/Oct/2011 11:52:26] Initializing AdhHttpd on port (8081)...
[13/Oct/2011 11:52:26] Socket Error: '(98, 'Address already in use')'
[13/Oct/2011 11:52:26] AgentCache (pid 1835): Shutting down (could not start HTTP server)...
opsware-sas: "agentcache" failed to startsync
Failed to perform "startsync" operation on Opsware SAS components.
[Oct-13-2011 11:52:26] Component installation script encountered an error (exit status 1)
[Oct-13-2011 11:52:26] Exiting Opsware Installer.

 

The HP Server Automation product must be installed or upgraded by either the HP Professional Services

Organization (HP PSO) or by a certified partner. However, SA satellite, CORD patches, and Minor-Minor

release installations can be performed by the customer

 

Regards

 

Frank

Please use plain text.
The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation